/*
----------------------------------------------------------------------

	Alain Chebrou

	Spartan RT kernel

	uart.h		Simple UART driver

	When		Who	What
	11/07/17	ac	Creation

----------------------------------------------------------------------
*/

#if ! defined USART_H_
#define USART_H_
//-----------------------------------------------------------------------------

osError_t	usartInit			(uint32_t usart, uint32_t baudrate) ;
void 		usartSendChar		(uint32_t usart, char cc) ;
uint16_t	usartCheckChar		(uint32_t usart) ;
char 		usartGetChar		(uint32_t usart) ;

//-----------------------------------------------------------------------------
#endif 	// USART_H_
